Python (SDK)
from meetkai_mka1 import SDK, models
with SDK() as sdk:
res = sdk.auth.orgs.list_members(security=models.ListOrgMembersSecurity(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
), org_id="<id>")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK();
async function run() {
const result = await sdk.auth.orgs.listMembers({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
}, {
orgId: "<id>",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK();
var res = await sdk.Auth.Orgs.ListMembersAsync(
security: new ListOrgMembersSecurity() {
BearerAuth = "<YOUR_BEARER_TOKEN_HERE>",
},
orgId: "<id>"
);
// handle responsecurl --request GET \
--url https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"members": [
{
"id": "<string>",
"organizationId": "<string>",
"userId": "<string>",
"role": "<string>",
"createdAt": "<string>",
"scimManaged": true,
"scimActive": true,
"user": {
"id": "<string>",
"email": "<string>",
"name": "<string>",
"image": "<string>",
"userType": "<string>"
}
}
],
"total": 123
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Organization
Listar miembros de la organización
Requiere membresía de la organización y read:org para las claves de API. Devuelve hasta 100 miembros con estado de administración del directorio.
GET
/
api
/
v1
/
authentication
/
orgs
/
{orgId}
/
members
Python (SDK)
from meetkai_mka1 import SDK, models
with SDK() as sdk:
res = sdk.auth.orgs.list_members(security=models.ListOrgMembersSecurity(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
), org_id="<id>")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK();
async function run() {
const result = await sdk.auth.orgs.listMembers({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
}, {
orgId: "<id>",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK();
var res = await sdk.Auth.Orgs.ListMembersAsync(
security: new ListOrgMembersSecurity() {
BearerAuth = "<YOUR_BEARER_TOKEN_HERE>",
},
orgId: "<id>"
);
// handle responsecurl --request GET \
--url https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/members")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"members": [
{
"id": "<string>",
"organizationId": "<string>",
"userId": "<string>",
"role": "<string>",
"createdAt": "<string>",
"scimManaged": true,
"scimActive": true,
"user": {
"id": "<string>",
"email": "<string>",
"name": "<string>",
"image": "<string>",
"userType": "<string>"
}
}
],
"total": 123
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Autorizaciones
bearerAuthsessionCookie
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Parámetros de ruta
¿Esta página le ayudó?
⌘I